version: '2.3'

services:

  # Main persistence database
  postgres:
    image: postgres:13
    ports:
      - "5433:5433"
    env_file:
      - ../.env-base
    environment:
      POSTGRES_PASSWORD: "${DB_PASSWORD}"
      POSTGRES_USER: "${DB_USER}"
      POSTGRES_DB: "${DB_NAME}"
      PGDATA: "/var/lib/postgresql/data/pgdata"
    expose:
      - "5433"
    command: -p 5433
    volumes:
      - ./postgres/docker-entrypoint-initdb.d:/docker-entrypoint-initdb.d
      - postgres:/var/lib/postgresql/data

  redis:
    image: redis:3.2
    ports:
      - 6379:6379

  celery:
    image: django_reminder:latest
    command: celery --app=src worker -l info -Q notifications_tasks
    env_file:
      - ../.env-base
    volumes:
      - ./src/:/usr/src/app/
    environment:
      - DEBUG=1
      - DJANGO_ALLOWED_HOSTS=localhost 127.0.0.1 [::1]
    depends_on:
      - redis

  celery-beat:
    image: django_reminder:latest
    command: celery --app=src beat -l info
    env_file:
      - ../.env-base
    volumes:
      - ./src/:/usr/src/app/
    environment:
      - DEBUG=1
      - DJANGO_ALLOWED_HOSTS=localhost 127.0.0.1 [::1]
    depends_on:
      - redis

volumes:
  postgres:
